Mage API · 이미지 모델
MiniMax H3 Image API
네이티브 16메가픽셀 이미지, 오픈 웨이트
POST https://api.mage.space/v1/minimax_h3_image/generate한눈에 보기
MiniMax H3 Image API는 Mage의 POST https://api.mage.space/v1/minimax_h3_image/generate를 통해 MiniMax H3 Image를 실행합니다. 기본 설정으로 요청하면 15 Gems(약 $0.015)가 들며, 구독은 필요 없습니다. MiniMax H3 Image는 프롬프트에 @handle로 저장된 캐릭터와 레퍼런스를 지정할 수 있습니다.
- 이미지출력
- 1버전
- 15이미지당 Gems(기본값)
- $0.015약 USD 기준
개요
MiniMax H3 Image API로 할 수 있는 일
최대 4K(약 16메가픽셀)까지 풍부한 디테일과 정확한 지시 이행으로 렌더링하는 오픈 웨이트 이미지 모델입니다. 최대 16장의 레퍼런스 이미지를 편집하거나 결합할 수 있으며 LoRA도 지원합니다.
텍스트-이미지 변환과 최대 16장의 레퍼런스 이미지 기반 편집을 지원하는 오픈 웨이트 이미지 모델로, 2K(약 4메가픽셀) 또는 네이티브 4K(약 16메가픽셀)로 출력하며 LoRA를 쓸 수 있습니다. 6단계로 증류되어 네거티브 프롬프트, 스텝 수, 가이던스 스케일을 받지 않습니다. 이미지 전체를 영어로 작성하세요. 편집할 때는 각 이미지에서 유지할 것과 바뀌는 것을 말한 다음 결과를 설명하세요.
image, additional_images를 입력으로 받아요.
빠른 시작
MiniMax H3 Image API 호출하기
MAGE_API_KEY를 설정하고 /minimax_h3_image/generate 로 요청을 보낸 다음, 요청이 완료될 때까지 status_url을 폴링하세요.
cURL
STATUS_URL=$(curl --request POST 'https://api.mage.space/v1/minimax_h3_image/generate' \
--header "Authorization: Bearer $MAGE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"prompt": "Editorial portrait in soft daylight, 35mm film look",
"aspect_ratio": "4:5",
"model_id": "minimax-h3-image"
}' | jq -r '.status_url')
# Repeat until status is "completed"; result.url is the file
curl "$STATUS_URL" --header "Authorization: Bearer $MAGE_API_KEY"TypeScript
// npm install @mage-space/sdk
import Mage from '@mage-space/sdk';
const mage = new Mage(); // reads MAGE_API_KEY
const request = await mage.run('minimax_h3_image', {
prompt: 'Editorial portrait in soft daylight, 35mm film look',
aspect_ratio: '4:5',
model_id: 'minimax-h3-image',
});
console.log(request.result.url);Python
# pip install mage-space
from mage_space import Mage
mage = Mage() # reads MAGE_API_KEY
request = mage.run("minimax_h3_image", {
"prompt": "Editorial portrait in soft daylight, 35mm film look",
"aspect_ratio": "4:5",
"model_id": "minimax-h3-image",
})
print(request["result"]["url"])모델
MiniMax H3 Image model_id 값
model_id를 보내 버전을 선택하세요. 지정하지 않으면 기본 모델이 실행됩니다.
| model_id | 이름 | 기본값 |
|---|---|---|
| minimax-h3-image | MiniMax H3 Image | 예 |
옵션
MiniMax H3 Image 파라미터
모든 버전에서 허용되는 값입니다. 일부 버전은 지원 범위가 더 좁을 수 있습니다. 버전별 옵션은 문서에서 확인하세요.
| 필드 | 값 |
|---|---|
| aspect_ratio | 21:9, 16:9, 3:2, 5:4, 1:1, 4:5, 2:3, 9:16, 9:21 |
| resolution | 2k, 4k |
입력
MiniMax H3 Image가 받는 미디어 입력
각각 https URL, data URL 또는 최대 100 MB 업로드로 보내세요.
| 필드 | 역할 |
|---|---|
| image | 기준 레퍼런스 이미지. |
| additional_images | 추가 레퍼런스 이미지. |
규칙
MiniMax H3 Image API의 제한 사항
- image와 additional_images를 합쳐 최대 16장의 레퍼런스 이미지를 보낼 수 있으며, 언급한 캐릭터와 레퍼런스도 포함됩니다. 프롬프트에서는 이 순서대로 image 1, image 2, ...로 지칭합니다.
더 많은 이미지 모델
Mage의 다른 이미지 생성 API
MOSS-Image API
긴 프롬프트와 이중 언어 텍스트, 오픈 웨이트
Nano Banana 2 API
선명하고 읽기 쉬운 텍스트, 최대 4K
SDXL Plus API
얼굴과 손을 보정한 SDXL
Seedream API
Seedream, 엄격한 필터 적용
Stable Diffusion v1.5 API
합리적인 가격의 클래식 모델
Stable Diffusion v3.5 Large API
프롬프트를 가장 잘 알아듣는 Stable Diffusion
FAQ
자주 묻는 질문
MiniMax H3 Image API 비용은 얼마인가요?
MiniMax H3 Image API 엔드포인트는 무엇인가요?
어떤 MiniMax H3 Image 모델을 호출할 수 있나요?
MiniMax H3 Image는 레퍼런스 이미지나 캐릭터를 지원하나요?
Claude나 ChatGPT에서 MiniMax H3 Image를 사용할 수 있나요?
MiniMax H3 Image 결과는 얼마나 오래 보관되나요?
Mage로 지금 시작하세요
계정 하나, Gems 잔액 하나로 모든 모델을 사용하세요. 생성한 만큼만 결제하면 됩니다.